Core - Bug # 38460

Epic # 61834 (Accepted): Create future proof Content Element with strong default
Task # 61836 (Accepted): Reorganize Content Element properties within backend Extension
Task # 61842 (New): Refactor CSS-Styled-Content + Content Elements

Status: Accepted Priority: Must have
Author: Nic Oemler Category: Content Rendering
Created: 2012-06-28 Assigned To:

Updated: 2015-01-18 Due date:

TYPOS3 Version: 4.7

PHP Version:

Complexity: easy

Is Regression: No

Sprint Focus:

Subject: Using media-element --> Flashfallback fails

Description

Using the media-element on 4.7.1 with workaround from #Bug #37938 HTML5-output is fine in all browsers which can handle this. In
Firefox flashfallback does not work and gives the User "File not found". If you take a look at the sourcecode you see the right path and
if you copy the path to the browser, the right file is loaded. | tested it on 5 different installations (blank, fresh install,
introductionpackage, updated from 4.6) and same error on all installations.

Related issues:
related to Core - Bug # 41279: Media Element Flash fallback fails Accepted 2012-09-23

History

#1 - 2012-08-26 18:49 - Andreas Mayer

I have a similar issue with Typo3/4.7.4.

Steps to reproduce:

1. Create empty Typo3/4.7.4, DOCTYPE html5, minimal template

2. Insert a HTML5 media element

2a. Add mp4/WebM sources

2b. Add fallback flash source

Results:

HTML code is generated correctly. HTML5 video renders fine in Firefox. If you try in Internet Explorer, loading the video fails. The Webserver log says:
(mydomain) 86.33.124.73 - [26/Aug/2012:17:45:09 +0200] "GET /typo3/contrib/flashmedia/video.flv HTTP/1.1" 404 199
"http://(mydomain)/typo3/contrib/flashmedia/flvplayer.swf" "Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; .NET
CLR 3.0.30729; .NET CLR 3.5.30729)" 3.03

This file (/typo3/contrib/flashmedia/video.flv) doesn't exist so the server returns 404.

Expected results:

flvplayer.swf should load the fallback FLV file instead of the missing file "video.flv".

If | can provide more helpful information, please let me know.
#2 - 2012-08-26 18:52 - Andreas Mayer
- Priority changed from Should have to Must have

Suggesting priority "Must have" because this is a major bug on an existing feature (HTMLS5 video).

#3 - 2012-10-09 17:22 - Andreas Mayer

Possibly a duplicate of bug #41279.

#4 - 2012-10-12 18:38 - Stefan Galinski

A small bloated fix for the issue that the player urls don't support the absRefPrefix option. | got the same issue with the video.flv after | fixed that issue

first.

tt_content.swfobject.20.video.player = {TSFE:absRefPrefix}{$styles.content. media.flowPlayer}
tt_content.swfobject.20.video.player.insertData = 1

tt_content.swfobject.20.audio.player = {TSFE:absRefPrefix}{$styles.content.media.flowPlayer}
tt_content.swfobject.20.audio.player.insertData = 1

tt_content.qgtobject.20.video.player < tt_content.swfobject.20.video.player
tt_content.qgtobject.20.audio.player < tt_content.swfobject.20.audio.player

tt_content.media.20.mimeConf.swfobject.video.player < tt_content.swfobject.20.video.player
tt_content.media.20.mimeConf.swfobject.audio.player < tt_content.swfobject.20.audio.player
tt_content.media.20.mimeConf.qgtobject.video.player < tt_content.qtobject.20.video.player
tt_content.media.20.mimeConf.qtobject.audio.player < tt_content.qtobject.20.audio.player

tt_content.media.20.mimeConf.flowplayer.video.player = {TSFE:absRefPrefix}{$styles.content. media.flowPlayer}

tt_content.media.20.mimeConf.flowplayer.video.player.insertData = 1

tt_content.media.20.mimeConf.flowplayer.audio.player < tt_content.media.20.mimeConf.flowplayer.video.player

#5 - 2012-10-12 19:05 - Stefan Galinski
- Status changed from New to Accepted

#6 - 2012-10-12 19:16 - Stefan Galinski

| adjusted the solution above to fix the fallback behaviour too. Just set this typoscript in the template where you include the CSC static typoscript. It
seems that the wrong player was used and absRefPrefix was not supported yet. Would be great if someone can try it out and a report back if it's not
just working in my case. :-)

BTW: The following resource is really helpful to understand the degradion process.

http:/flowplayer.blacktrash.org/graceful.html

#7 - 2012-10-13 02:16 - Andreas Mayer
http://flowplayer.blacktrash.org/graceful.html

Thank you, this is working for me. | hope that this fix makes it into the next minor release.

#8 - 2012-10-17 10:27 - Christian Hennecke

| can confirm that this issue still exists in TYPO3 4.7.5 (which contains a bugfix for the media element) and that Stefan's TypoScript does fix it.

#9 - 2012-11-16 12:23 - Thomas Scholze

The fix works for me too, TYPO3 v4.7.7.

Thank you.

#10 - 2013-01-29 11:51 - Lorenz Ulrich

Works for me in latest 4.7, too. From comparing the TypoScript posted here by Stefan, I'm not sure if it's really a bug or if it only occurs in certain

setups (the page affected in my case is using absRefPrefix).

Does someone know if this is reproducible in a site with default settings (no absRefPrefix)? If so, we should push a patch for css_styled_content to

Gerrit.

#11 - 2013-01-30 01:39 - Andreas Mayer

Lorenz Ulrich wrote:

Does someone know if this is reproducible in a site with default settings (no absRefPrefix)? If so, we should push a patch for css_styled content to

Gerrit.

| had this problem, too, and | have never used absRefPrefix.

#12 - 2013-03-09 14:29 - Matthias Krappitz
Same problem also occurs on TYPO3 6.0.4. No problem when switching to flowplayer with the TS given above, except for the fact that | can't find a

way to turn autoplay off in flowplayer by default.

#13 - 2013-03-11 09:00 - Stefan Galinski

- Category set to Content Rendering

- Complexity set to easy

#14 - 2013-05-27 15:50 - Christian Buelter

Issue still exists in TYPO3 6.1.1

Typoscript code above works for me.

#15 - 2013-06-11 10:30 - Tobias Gaertner

2015-08-04 3/4



TS does only work partly for me
TYPO3v.4.7.8

with the TS above it works fie in FF and IE10 (I have only a mp4-Video that should also work in Safari and Chrome)

In chrome the Player works but crashes if | stop the video. In Safari it does not work at all.

Maybe its because of the video-format? But the fallback does'n work at all!

#16 - 2013-07-11 10:46 - Alexander Bigga

The TS patch is working for me on TYPOS 4.7.12. We don't use absRefPrefix.

IE8 is now using the right flowplayer (not flvplayer) and plays the flash video.

Chromium, FF 17 and Opera play the provided mp4 or webm versions as expected.

So, what about taking this patch to the next bugfix release?

#17 - 2013-11-18 14:24 - Peter Niederlag
- Is Regression set to No

same problem on 6.1-betal, replacing the flvplayer.swf by the flowplayer as suggested by Stefan Galinski works.

#18 - 2014-09-24 12:43 - Felix Kopp

- Parent task set to #61842

#19 - 2015-01-18 21:20 - Ingo Schmitt

Is this issue still pending in 6.27
